<?xml version="1.0"?>
<doc>
<assembly>
<name>CrystalDecisions.ReportAppServer.ClientDoc</name>
</assembly>
<members>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrNotSupported">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrFileExists">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrInvalidFilePath">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrInternal">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrFileNotOpened">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrFileAlreadyOpen">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrLicenseLimitExceeded">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrBuildCube">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrSessionInitialized">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrSessionNotInitialized">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrChangeIdentity">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrDocNotReady">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrDocAlreadyOpened">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrDocNotCreated">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrChangeServer">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocErrorCodeEnum.cdErrDocIsReadOnly">
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.CdProcessingStateEnum">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdProcessingStateEnum.cdProcessingStateFree">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdProcessingStateEnum.cdProcessingStateBusy">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdProcessingStateEnum.cdProcessingStateBackgroundProcessing">
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportOptionsEnum">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportOptionsEnum.cdErrorReportError">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportOptionsEnum.cdErrorReportWarning">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportOptionsEnum.cdErrorReportMessage">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportOptionsEnum.cdErrorReportOK">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportOptionsEnum.cdErrorReportCancel">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportOptionsEnum.cdErrorReportYes">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportOptionsEnum.cdErrorReportNo">
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportModeEnum">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportModeEnum.cdErrorReportModeWithUI">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportModeEnum.cdErrorReportModeNTEventLog">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportModeEnum.cdErrorReportModeLogFile">
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportReturnEnum">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportReturnEnum.cdErrorReportReturnNull">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportReturnEnum.cdErrorReportReturnOK">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportReturnEnum.cdErrorReportReturnCancel">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportReturnEnum.cdErrorReportReturnYes">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdErrorReportReturnEnum.cdErrorReportReturnNo">
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ISCDErrorReporter">
<summary>
ISCDErrorReporter Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDErrorReporter.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDErrorReporter.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDErrorReporter.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDErrorReporter.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDErrorReporter.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDErrorReporter.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDErrorReporter.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDErrorReporter.ReportModes">
<summary>
property ReportMode, is CdErrorReportModeEnum values</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDErrorReporter.ReportModes">
<summary>
property ReportMode, is CdErrorReportModeEnum values</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDErrorReporter.Report(System.Int32,System.Int32,System.String,System.String)">
<summary>
method Report, nReportOptions is CdErrorReportOptionsEnum</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDErrorReporter.ReportErrorInfo(System.Int32,System.Int32,System.String,System.Object)">
<summary>
method ReportErrorInfo, nReportOptions is CdErrorReportOptionsEnum</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppService">
<summary>
ISReportAppService Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppService.Initialize(CrystalDecisions.ReportAppServer.ClientDoc.ReportAppSession)">
<summary>
method Initialize</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession">
<summary>
ISReportAppSession Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.Initialize">
<summary>
Prepare the communication adapter for communication between the client and server</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.EnterpriseSession">
<summary>
Session from a BusinessObjects Enterprise connection, used to determine the Report Application Server to use</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.EnterpriseSession">
<summary>
Session from a BusinessObjects Enterprise connection, used to determine the Report Application Server to use</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.SecurityContext">
<summary>
property SecurityContext</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.LocaleID">
<summary>
A locale that is used to localize the Report App Session</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.LocaleID">
<summary>
A locale that is used to localize the Report App Session</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.HasUI">
<summary>
property HasUI</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.HasUI">
<summary>
property HasUI</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.CreateRemoteAgent">
<summary>
method CreateRemoteAgent</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.CreateConnectionDirManager(System.Int32)">
<summary>
method CreateConnectionDirManager</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.ReadRegistry(CrystalDecisions.ReportAppServer.CommonControls.SRegistryKey)">
<summary>
method ReadRegistry</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.IsStandAlone">
<summary>
property IsStandAlone. true if the server side components are running in the same process as the SDK.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.IsOverTheWeb">
<summary>
property IsOverTheWeb. true if the SDK is communicating with the server over the Web using HTTP.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.PlayBackRequests(System.String,System.String)">
<summary>
method PlayBackRequests</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.ReportAppServer">
<summary>
The name of the Report Application Server that is modifying the open report or that will be used to modify the report.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.ReportAppServer">
<summary>
The name of the Report Application Server that is modifying the open report or that will be used to modify the report.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.VerifyClientVersion">
<summary>
method VerifyClientVersion. This returns errors crErrVersionTooOld, crErrVersionTooNew, crErrNewerVersion or crErrOlderVersion.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.OpenPlayBack(System.String,System.String)">
<summary>
method OpenPlayBack.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.Request(System.String,System.Int32,System.Int32,System.Object)">
<summary>
method Request.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.CreateService(System.String)">
<summary>
Create an instance of the service with the specified class name</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppSession.InitializeEx(CrystalDecisions.ReportAppServer.CommLayer.InProcCommunicationAdapter)">
<summary>
Initialize with the communication adapter for communication between the client and server</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum">
<summary>
enum DISPID_ISCDClientDocument</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_UID">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_DisplayName">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_Path">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_New">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_Open">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_Close">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_Save">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_SaveAs">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_IsModified">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_ReportAppSession">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_ProcessingState">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_IsReadOnly">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_LocaleID">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_EnterpriseSession">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEnum.DISPID_IsOpen">
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument">
<summary>
ISCDClientDocument Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.UID">
<summary>
property UID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.DisplayName">
<summary>
This is the title of the document.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.Path">
<summary>
The full path of the document.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.New">
<summary>
Creates a new, empty document.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.Open(System.Object@,System.Int32)">
<summary>
Opens a supported document. The Options can be values defined in CdReportClientDocumentOpenOptionsEnum</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.Close">
<summary>
Closes the document and frees all resources it was using.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.Save">
<summary>
Saves the document using the current filename.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.SaveAs(System.String,System.Object@,System.Int32)">
<summary>
Saves the document using a specified filename.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.IsModified">
<summary>
Returns TRUE if the document has been modified and FALSE otherwise.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.IsModified">
<summary>
Returns TRUE if the document has been modified and FALSE otherwise.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.ReportAppSession">
<summary>
property ReportAppSession</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.ReportAppSession">
<summary>
property ReportAppSession</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.EnterpriseSession">
<summary>
The EnterpriseSession that is used to connect to an available Report Application Server.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.EnterpriseSession">
<summary>
The EnterpriseSession that is used to connect to an available Report Application Server.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.ProcessingState">
<summary>
property ProcessingState</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.IsReadOnly">
<summary>
Returns TRUE if the document is read-only and FALSE otherwise.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.LocaleID">
<summary>
A locale that is used to localize various aspects of the document.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.LocaleID">
<summary>
A locale that is used to localize various aspects of the document.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.IsOpen">
<summary>
Is the document opened</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.reserved9">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.reserved8">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.reserved7">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.reserved6">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.reserved5">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.reserved4">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.reserved3">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.reserved2">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDClientDocument.reserved1">
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum">
<summary>
enum DISPID_ISCDReportClientDocument</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_ErrorReporter">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_UndoManager">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_HasUI">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_DocumentWindow">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_Undo">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_Redo">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_DataDefController">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_DatabaseController">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_RowsetController">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_CubeDefController">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_ReportDefController">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_BuildCube">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_VerifyDatabase">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_SummaryInfo">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_CubeBuilderType">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_ReportOptions">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_Database">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_DataDefinition">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_ReportDefinition">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_GetFormulaFunctionCatalog">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_GetSQLFunctionCatalog">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_ReportSource">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_ReportDocument">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_MajorVersion">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_MinorVersion">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_PlayBackRequests">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_RecordingOutputFile">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_CancelProcessing">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_FlushRequests">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_ReportAppServer">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_SubreportController">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_SearchController">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_CustomFunctionController">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_RefreshReportDocument">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_PrintOutputController">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_RepositoryLogonInfo">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_ModifySummaryInfo">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_ModifyReportOptions">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_PrintOptions">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_QuerySubreportNames">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_Subreport">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDReportClientDocumentEnum.DISPID_AutoClose">
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument">
<summary>
ISCDReportClientDocument Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.UID">
<summary>
property UID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.DisplayName">
<summary>
This is the title of the document.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.Path">
<summary>
The full path of the document.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.New">
<summary>
Creates a new, empty document.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.Open(System.Object@,System.Int32)">
<summary>
Opens a supported document. The Options can be values defined in CdReportClientDocumentOpenOptionsEnum</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.Close">
<summary>
Closes the document and frees all resources it was using.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.Save">
<summary>
Saves the document using the current filename.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.SaveAs(System.String,System.Object@,System.Int32)">
<summary>
Saves the document using a specified filename.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.IsModified">
<summary>
Returns TRUE if the document has been modified and FALSE otherwise.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.IsModified">
<summary>
Returns TRUE if the document has been modified and FALSE otherwise.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ReportAppSession">
<summary>
property ReportAppSession</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ReportAppSession">
<summary>
property ReportAppSession</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.EnterpriseSession">
<summary>
The EnterpriseSession that is used to connect to an available Report Application Server.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.EnterpriseSession">
<summary>
The EnterpriseSession that is used to connect to an available Report Application Server.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ProcessingState">
<summary>
property ProcessingState</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.IsReadOnly">
<summary>
Returns TRUE if the document is read-only and FALSE otherwise.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.LocaleID">
<summary>
A locale that is used to localize various aspects of the document.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.LocaleID">
<summary>
A locale that is used to localize various aspects of the document.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.IsOpen">
<summary>
Is the document opened</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.reserved9">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.reserved8">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.reserved7">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.reserved6">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.reserved5">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.reserved4">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.reserved3">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.reserved2">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.reserved1">
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ErrorReporter">
<summary>
property ErrorReporter</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ErrorReporter">
<summary>
property ErrorReporter</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.UndoManager">
<summary>
property UndoManager. It is a OleUndoManager</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.HasUI">
<summary>
property HasUI</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.HasUI">
<summary>
property HasUI</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.DocumentWindow">
<summary>
property DocumentWindow</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.DocumentWindow">
<summary>
property DocumentWindow</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.Undo">
<summary>
method Undo</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.Redo">
<summary>
method Redo</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.DataDefController">
<summary>
The DataDefController allows you to modify the report's data definition.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.DatabaseController">
<summary>
The DatabaseController is used to add, remove and modify the tables that are used as the report's data source.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.RowsetController">
<summary>
The RowsetController enables you to browse field and table values in the database that the report is using.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.CubeDefController">
<summary>
property CubeDefController</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ReportDefController">
<summary>
The ReportDefController is used to modify portions of the report definition. In the Report Application Server, it is used to manipulate charting options in a report.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ReportSource">
<summary>
The ReportSource is used by the HTML Report Viewer to display the contents of the report.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.BuildCube">
<summary>
method BuildCube</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.VerifyDatabase">
<summary>
This method checks to ensure that the report is using the most current data from its database.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.SummaryInfo">
<summary>
This property allows you to retrieve and modify the report's summary information.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.SummaryInfo">
<summary>
This property allows you to retrieve and modify the report's summary information.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.CubeBuilderType">
<summary>
property CubeBuilderType</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.CubeBuilderType">
<summary>
property CubeBuilderType</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ReportOptions">
<summary>
Use ReportOptions to modify the report's behavior and capabilities such as how it should handle server data, dates, queries, printing, viewing, and other such options.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ReportOptions">
<summary>
Use ReportOptions to modify the report's behavior and capabilities such as how it should handle server data, dates, queries, printing, viewing, and other such options.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ReportDocument">
<summary>
property ReportDocument</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.Database">
<summary>
 The Database property allows you to retrieve the report's database name, tables and table links, as well as retrieve a particular field based on a field ID and table.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.DataDefinition">
<summary>
The DataDefinition property allows you to access a report's formula fields, group filters, group name fields, groups, parameter fields, record filters, result fields, sorting definitions, and summary fields.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ReportDefinition">
<summary>
The ReportDefinition property allows you to access a report's ReportObjects, such as text, lines, boxes, charts, fields etc</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.GetFormulaFunctionCatalog">
<summary>
method GetFormulaFunctionCatalog</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.GetSQLFunctionCatalog">
<summary>
method GetSQLFunctionCatalog</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.MajorVersion">
<summary>
The major version number of the report's format.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.MinorVersion">
<summary>
The minor version number of the document's format.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.RecordingOutputFile">
<summary>
property RecordingOutputFile</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.RecordingOutputFile">
<summary>
property RecordingOutputFile</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.PlayBackRequests(System.String,System.String)">
<summary>
property PlayBackRequests</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.CancelProcessing">
<summary>
method CancelProcessing, so that document becomes not busy</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.FlushRequests">
<summary>
method FlushRequests</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ReportAppServer">
<summary>
The name of the Report Application Server that is modifying the open report or that will be used to modify the report.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ReportAppServer">
<summary>
The name of the Report Application Server that is modifying the open report or that will be used to modify the report.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.SubreportController">
<summary>
Returns the SubreportController, which is used to determine the names of the subreports in the report and to modify the subreports' databases.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.SearchController">
<summary>
Returns the SearchController, which is used for searching.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.CustomFunctionController">
<summary>
Returns the CustomFunctionController, which is used to modify custom functions</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.RefreshReportDocument">
<summary>
RefreshReportDocument</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.PrintOutputController">
<summary>
Returns the PrintOutputController, which is used to export report output</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.RepositoryLogonInfo">
<summary>
The RepositoryLogonInfo is used to connect to the Repository server to refresh report objects on opening document</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.RepositoryLogonInfo">
<summary>
The RepositoryLogonInfo is used to connect to the Repository server to refresh report objects on opening document</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ModifySummaryInfo(CrystalDecisions.ReportAppServer.DataDefModel.SummaryInfo)">
<summary>
Modify the report's summary information.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.ModifyReportOptions(CrystalDecisions.ReportAppServer.ReportDefModel.ReportOptions)">
<summary>
Modify the report's behavior and capabilities such as how it should handle server data, dates, queries, printing, viewing, and other such options.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.reserved11">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.reserved10">
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.AutoClose">
<summary>
property AutoClose</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDReportClientDocument.AutoClose">
<summary>
property AutoClose</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentInternal">
<summary>
IReportClientDocumentInternal Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentInternal.GetInternalReportSource(CrystalDecisions.ReportAppServer.Controllers.ReportSource@)">
<summary>
Returns the internal report source object.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentInternal.HoldDocument(System.Boolean)">
<summary>
Hold the client document. Pass in VARIANT_TRUE to hold, VARIANT_FALSE to release.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentInternal.HasSubreports">
<summary>
property HasSubreports</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentInternal.UpdateSubreportStatus(System.Boolean)">
<summary>
property UpdateSubreportStatus</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentInternal.OnSubreportDatabaseChange(System.String)">
<summary>
property OnSubreportDatabaseChange</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentInternal.OnSubreportDataDefinitionChange(System.String)">
<summary>
property OnSubreportDataDefinitionChange</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentInternal.OnSubreportReportDefinitionChange(System.String)">
<summary>
property OnSubreportReportDefinitionChange</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentInternal.OnSubreportRowsetCacheStatusChanged(System.String,System.Int32,CrystalDecisions.ReportAppServer.DataDefModel.GroupPath)">
<summary>
property OnSubreportRowsetCacheStatusChanged</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ISCDRequestRecorder">
<summary>
ISCDRequestRecorder Interface</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDRequestRecorder.FilePath">
<summary>
property FilePath</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDRequestRecorder.FilePath">
<summary>
property FilePath</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDRequestRecorder.FileHandle">
<summary>
property FileHandle</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDRequestRecorder.AttachHandle(System.UInt32)">
<summary>
method AttachHandle</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDRequestRecorder.Create(System.String,System.Boolean,System.UInt32)">
<summary>
method Create</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDRequestRecorder.Close">
<summary>
method Close</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDCubeViewClientDocumentEnum">
<summary>
enum DISPID_ISCDCubeViewClientDocument</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDCubeViewClientDocumentEnum.DISPID_CubeURI">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDCubeViewClientDocumentEnum.DISPID_CubeViewDocument">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDCubeViewClientDocumentEnum.DISPID_ImportWDF">
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument">
<summary>
ISCDCubeViewClientDocument Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.UID">
<summary>
property UID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.DisplayName">
<summary>
This is the title of the document.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.Path">
<summary>
The full path of the document.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.New">
<summary>
Creates a new, empty document.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.Open(System.Object@,System.Int32)">
<summary>
Opens a supported document. The Options can be values defined in CdReportClientDocumentOpenOptionsEnum</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.Close">
<summary>
Closes the document and frees all resources it was using.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.Save">
<summary>
Saves the document using the current filename.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.SaveAs(System.String,System.Object@,System.Int32)">
<summary>
Saves the document using a specified filename.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.IsModified">
<summary>
Returns TRUE if the document has been modified and FALSE otherwise.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.IsModified">
<summary>
Returns TRUE if the document has been modified and FALSE otherwise.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.ReportAppSession">
<summary>
property ReportAppSession</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.ReportAppSession">
<summary>
property ReportAppSession</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.EnterpriseSession">
<summary>
The EnterpriseSession that is used to connect to an available Report Application Server.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.EnterpriseSession">
<summary>
The EnterpriseSession that is used to connect to an available Report Application Server.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.ProcessingState">
<summary>
property ProcessingState</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.IsReadOnly">
<summary>
Returns TRUE if the document is read-only and FALSE otherwise.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.LocaleID">
<summary>
A locale that is used to localize various aspects of the document.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.LocaleID">
<summary>
A locale that is used to localize various aspects of the document.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.IsOpen">
<summary>
Is the document opened</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.reserved9">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.reserved8">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.reserved7">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.reserved6">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.reserved5">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.reserved4">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.reserved3">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.reserved2">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.reserved1">
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.ErrorReporter">
<summary>
property ErrorReporter</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.ErrorReporter">
<summary>
property ErrorReporter</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.UndoManager">
<summary>
property UndoManager. It is a OleUndoManager</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.HasUI">
<summary>
property HasUI</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.HasUI">
<summary>
property HasUI</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.DocumentWindow">
<summary>
property DocumentWindow</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.DocumentWindow">
<summary>
property DocumentWindow</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.Undo">
<summary>
method Undo</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.Redo">
<summary>
method Redo</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.CubeURI">
<summary>
property CubeURI</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.CubeURI">
<summary>
property CubeURI</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.CubeViewDocument">
<summary>
property CubeViewDocument</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDCubeViewClientDocument.ImportWDF(System.Object)">
<summary>
method ImportWDF</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument">
<summary>
ISCDAnalysisClientDocument Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.UID">
<summary>
property UID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.DisplayName">
<summary>
This is the title of the document.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.Path">
<summary>
The full path of the document.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.New">
<summary>
Creates a new, empty document.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.Open(System.Object@,System.Int32)">
<summary>
Opens a supported document. The Options can be values defined in CdReportClientDocumentOpenOptionsEnum</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.Close">
<summary>
Closes the document and frees all resources it was using.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.Save">
<summary>
Saves the document using the current filename.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.SaveAs(System.String,System.Object@,System.Int32)">
<summary>
Saves the document using a specified filename.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.IsModified">
<summary>
Returns TRUE if the document has been modified and FALSE otherwise.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.IsModified">
<summary>
Returns TRUE if the document has been modified and FALSE otherwise.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.ReportAppSession">
<summary>
property ReportAppSession</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.ReportAppSession">
<summary>
property ReportAppSession</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.EnterpriseSession">
<summary>
The EnterpriseSession that is used to connect to an available Report Application Server.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.EnterpriseSession">
<summary>
The EnterpriseSession that is used to connect to an available Report Application Server.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.ProcessingState">
<summary>
property ProcessingState</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.IsReadOnly">
<summary>
Returns TRUE if the document is read-only and FALSE otherwise.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.LocaleID">
<summary>
A locale that is used to localize various aspects of the document.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.LocaleID">
<summary>
A locale that is used to localize various aspects of the document.</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.IsOpen">
<summary>
Is the document opened</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.reserved9">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.reserved8">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.reserved7">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.reserved6">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.reserved5">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.reserved4">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.reserved3">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.reserved2">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.reserved1">
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.ReportClientDocument">
<summary>
property Report Document</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.AnalyticReportClientDocument">
<summary>
property Analytic Report Document</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.ISCDAnalysisClientDocument.AnalyticReportClientDocument">
<summary>
property Analytic Report Document</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocumentSaveAsOptionsEnum">
<summary>
Options for method ClientDocument.SaveAs</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocumentSaveAsOptionsEnum.cdClientDocumentSaveAsOverwriteExisting">
<summary>
Saves the file overwriting any existing file.</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdClientDocumentSaveAsOptionsEnum.cdClientDocumentSaveAsLastOptions">
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.CdReportClientDocumentSaveAsOptionsEnum">
<summary>
Options for method ReportClientDocument.SaveAs</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdReportClientDocumentSaveAsOptionsEnum.cdReportClientDocumentSaveAsOverwriteExisting">
<summary>
Saves the file overwriting any existing file.</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdReportClientDocumentSaveAsOptionsEnum.cdReportClientDocumentSaveAsCrystalReports7">
<summary>
Obsoleted. Save the file in a Crystal Reports Version 7 format. This flag is only applicable to report documents.</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.CdReportClientDocumentOpenOptionsEnum">
<summary>
Options for method ReportClientDocument.Open</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdReportClientDocumentOpenOptionsEnum.cdOpenReportRetrieveNoReportDefinition">
<summary>
Retrieve no ReportDefinition</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdReportClientDocumentOpenOptionsEnum.cdOpenReportRetrieveMinimumReportDocument">
<summary>
Retrieve min set of the ReportDocument</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdReportClientDocumentOpenOptionsEnum.cdOpenReportNotRetrieveReportDocumentContents">
<summary>
Do not retrieve the ReportDefinition</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdReportClientDocumentOpenOptionsEnum.cdReportClientDocumentOpenAsReadOnly">
<summary>
Open the document as read only</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdReportClientDocumentOpenOptionsEnum.cdReportClientDocumentRetrievePictureImage">
<summary>
Retrieve static picture object image</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdReportClientDocumentOpenOptionsEnum.cdReportClientDocumentRefreshRepositoryObjects">
<summary>
Repository objects must be updated when opening</summary>
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.CdReportClientDocumentOpenOptionsEnum.cdReportClientDocumentRetrieveTableJoins">
<summary>
Construct table joins</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEventsEnum">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEventsEnum.DISPID__ISCDClientDocumentEventsOnClosing">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEventsEnum.DISPID__ISCDClientDocumentEventsOnClosed">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEventsEnum.DISPID__ISCDClientDocumentEventsOnSaving">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEventsEnum.DISPID__ISCDClientDocumentEventsOnSaved">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEventsEnum.DISPID__ISCDClientDocumentEventsPreClosing">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEventsEnum.DISPID__ISCDClientDocumentEventsPreSaving">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEventsEnum.DISPID__ISCDClientDocumentEventsOnPropertyChanging">
</member>
<member name="F:CrystalDecisions.ReportAppServer.ClientDoc.DISPID_ISCDClientDocumentEventsEnum.DISPID__ISCDClientDocumentEventsOnPropertyChanged">
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc._ISCDClientDocumentEvents">
<summary>
_ISCDClientDocumentEvents Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc._ISCDClientDocumentEvents.PreClosing(CrystalDecisions.ReportAppServer.ClientDoc.ClientDocument,System.Boolean@)">
<summary>
method PreClosing</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc._ISCDClientDocumentEvents.OnClosing(CrystalDecisions.ReportAppServer.ClientDoc.ClientDocument)">
<summary>
method OnClosing</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc._ISCDClientDocumentEvents.OnClosed(CrystalDecisions.ReportAppServer.ClientDoc.ClientDocument)">
<summary>
method OnClosed</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc._ISCDClientDocumentEvents.PreSaving(CrystalDecisions.ReportAppServer.ClientDoc.ClientDocument,System.Boolean@)">
<summary>
method PreSaving</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc._ISCDClientDocumentEvents.OnSaving(CrystalDecisions.ReportAppServer.ClientDoc.ClientDocument)">
<summary>
method OnSaving</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc._ISCDClientDocumentEvents.OnSaved(CrystalDecisions.ReportAppServer.ClientDoc.ClientDocument)">
<summary>
method OnSaved</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc._ISCDClientDocumentEvents.OnPropertyChanging(System.Int32,System.String)">
<summary>
method OnPropertyChanging</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc._ISCDClientDocumentEvents.OnPropertyChanged(System.Int32,System.String)">
<summary>
method OnPropertyChanged</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppFactory">
<summary>
ISReportAppFactory Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppFactory.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppFactory.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppFactory.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppFactory.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppFactory.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppFactory.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppFactory.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppFactory.OpenReportSource(System.Object)">
<summary>
Opens a ReportSource object for the viewer controls.</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppFactory.OpenDocument(System.Object,System.Int32)">
<summary>
Opens the given report object.  Options can be values defined in CdReportClientDocumentOpenOptionsEnum</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.ISReportAppFactory.NewDocument">
<summary>
Creates a new ReportClientDocument.</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState">
<summary>
IReportClientDocumentState Interface</summary>
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.QueryInterface(System.Guid@,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.AddRef">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.Release">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.GetTypeInfoCount(System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.GetTypeInfo(System.Int32,System.UInt32,System.IntPtr@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.GetIDsOfNames(System.Guid@,System.IntPtr,System.Int32,System.UInt32,System.Int32@)">
</member>
<member name="M:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.Invoke(System.Int32,System.Guid@,System.UInt32,System.UInt16,DISPPARAMS,System.Object@,EXCEPINFO,System.Int32@)">
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.AgentID">
<summary>
property AgentID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.AgentID">
<summary>
property AgentID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.IsModified">
<summary>
property IsModified</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.IsModified">
<summary>
property IsModified</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.ReportAppServer">
<summary>
property ReportAppServer</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.ReportAppServer">
<summary>
property ReportAppServer</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.DocumentOptions">
<summary>
property DocumentOptions</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.DocumentOptions">
<summary>
property DocumentOptions</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.SecurityContext">
<summary>
property SecurityContext</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.SecurityContext">
<summary>
property SecurityContext</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.UID">
<summary>
property UID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.UID">
<summary>
property UID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.RepositoryLogonInfo">
<summary>
property RepositoryLogonInfo</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.RepositoryLogonInfo">
<summary>
property RepositoryLogonInfo</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.StateUID">
<summary>
property StateUID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.StateUID">
<summary>
property StateUID</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.CommunicationAdapter">
<summary>
property CommunicationAdapter</summary>
</member>
<member name="P:CrystalDecisions.ReportAppServer.ClientDoc.IReportClientDocumentState.CommunicationAdapter">
<summary>
property CommunicationAdapter</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ClientDocument">
<summary>
This represents a Report Application Server document in general. ClientDocument is used as a base class to support methods and properties that are common to all Report Application Server documents.</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ReportClientDocument">
<summary>
The ReportClientDocument object represents the report that was opened; it enables you perform a variety of modifications to it, as well as being able to save, copy and close it.</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.CubeViewClientDocument">
<summary>
CubeViewClientDocument Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.AnalysisClientDocument">
<summary>
AnalysisClientDocument Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ErrorReporter">
<summary>
ErrorReporter Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.RequestRecorder">
<summary>
RequestRecorder Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ReportAppSession">
<summary>
ReportAppSession Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ReportClientDocumentFactory">
<summary>
ReportClientDocumentFactory Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ReportAppFactory">
<summary>
ReportAppFactory Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.ReportClientDocumentState">
<summary>
ReportClientDocumentState Class</summary>
</member>
<member name="T:CrystalDecisions.ReportAppServer.ClientDoc.AdvancedReportSource">
<summary>
AdvancedReportSource Class</summary>
</member>
</members>
</doc>
